name: "nginx"
arch: "amd64"
platform: "linux"
version: "1.24.0"
section: "default"
priority: "extra"
maintainer: "duyvd"
description: |
  Modules installed:
    - lua-nginx-module
    - ngx_devel_kit
    - lua-resty-lrucache
    - lua-resty-core
    - ngx_http_geoip2_module

vendor: "Nginx Inc."
homepage: "https://gitlab.com/duyvd.it/build-nginx-rpm"
license: "MIT"
rpm:
  group: "djinn" 
  summary: "Nginx with custom modules"
  compression: lzma
overrides:
  rpm:
    scripts:
      preinstall: /tmp/nginx/scripts/preinstal.sh
      postinstall: /tmp/nginx/scripts/postinstall.sh
      postremove: /tmp/nginx/scripts/postremove.sh
contents:
  - src: /tmp/installdir/nginx/etc/nginx
    dst: /etc/nginx
  - src: /tmp/nginx/files/nginx.conf
    dst: /etc/nginx/nginx.conf
    type: config
  # /usr/lib64/nginx/modules contains dynamic modules. Our build process does not have any dynamic module yet.
  # - src: /tmp/installdir/nginx/usr/lib64/nginx/modules
  #   dst: /usr/lib64/nginx/modules
  - src: /tmp/installdir/nginx/usr/sbin/nginx
    dst: /usr/sbin/nginx
  - src: /tmp/nginx/files/nginx.service
    dst: /etc/systemd/system/nginx.service
empty_folders:
  - /var/log/nginx
  - /etc/nginx/logs
